Bug 79473 - (FireGL 2) Xcursor leaves little areas of corruption on screen
(FireGL 2) Xcursor leaves little areas of corruption on screen
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-12-11 19:18 EST by Alexander Farley
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-11 19:18:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-12-11 19:18:15 EST
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux) 
Description of problem: 
The Xcursor leaves areas of corruption/remnants of areas that it has moved 
over on the screen. Example if I have a Nautilus window open and a 
gnome-terminal window open if I move the cursor over the terminal window and 
then move to the Nautilus window and scrol up or down a little rectangle 
showing the terminal will appear at random in the Nautilus window. 
Version-Release number of selected component (if applicable): 
How reproducible: 
Steps to Reproduce: 
1.Use XFree86- Xcursor 
2.areas of corruption appear. 
Actual Results:  Little areas of screen corruption would appear. 
Expected Results:  No screen corruption would appear. 
Additional info: 
I am using a FireGL 2 card with ATI's FireGL 2/3/4 driver ver 1.9.20. 
Theoretically it should only work with XFree86 4.2, but it has had no problems 
except for this since I upgrade to the XFree86 4.2.99/4.3 a month ago. 
The cursors are pretty sweet, I can't wait until it works perfectly. I can try 
to send a screen shot if my description is unclear.
Comment 1 Mike A. Harris 2002-12-12 03:50:48 EST
The FireGL 1/2/3/4 hardware is not supported by XFree86 directly, and not
supported by Red Hat.  Usage of proprietary or other 3rd party drivers
is also not officially supported by Red Hat.

The proprietary drivers that you are attempting to use have not been
designed to work specifically with this release of XFree86, and will
thus are likely to have problems until they are updated to work with
newer XFree86 releases.  Unfortunately, that is probably not going
to occur until XFree86 4.3.0 is officially released most likely,
assuming that new drivers do get released for this hardware for
4.3.0.  You'll have to contact ATI or whomever supplied your FireGL
drivers for specific vendor support information however.

Although this hardware is not supported, I will drop a note to my
contacts at ATI in order to make them aware of this issue, however
my suggestion would be for you to contact whomever provides technical
support for your video card directly and inform them of the issue so
that they may track it appropriately.  Keep in mind though, that
vendors rightfully so - do not generally release special drivers for
developmental releases of XFree86, so you may have to wait a while.

Sorry I can't provide any more direct assistance than this, but I
hope this helps nonetheless.  

Take care,

Closing bug NOTABUG as there's no NOTOURBUG resolution.

Note You need to log in before you can comment on or make changes to this bug.